Package com.ocient.util

# Enum Class SortMode

java.lang.Object
java.lang.Enum<SortMode>
com.ocient.util.SortMode

All Implemented Interfaces:
  `Serializable`, `Comparable<SortMode>`, `Constable`

public enum SortMode extends Enum<SortMode>
An enumeration representing sorting modes.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`SORTED`
Indicates that the data or collection is sorted.
`UNSORTED`
Indicates that the data or collection is unsorted.

## Method Summary

Modifier and Type
Method
Description
`static SortMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SortMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SORTED

public static final SortMode SORTED
Indicates that the data or collection is sorted.

### UNSORTED

public static final SortMode UNSORTED
Indicates that the data or collection is unsorted.

## Method Details

### values

public static SortMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SortMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null